Linux - Fedora Core 4

Hello,

As the linux version runs under RedHat, will it run under fedora??

chris

Excellent, now for the more unlikely one, would it run under Debian - Lenny (testing)??

Thanks for the answers,

chris.

Thanks for that, I changed distros to FedoraCore 7, purchased Mocha but get a Segmentation Fault when I try to run it, see my other post. (http://forum.imagineersystems.com/showthread.php?t=259)

Help.

Regards,

chris.

Theoretically yes; and we do have a customer (or two) on it; but there are some problems; so I would hold off until we have a definitive and tested solution.

—Quote (Originally by b_chris)—
Hello,

As the linux version runs under RedHat, will it run under fedora??

chris
—End Quote—

Yes it will on Fedora Core 4 and above (32 bit)

Ijazn,
I am attempting to install mokey & monet on Ubuntu
could you share some steps on how to install the rpm on a debian system?

I have tried alien and get the following message

Code:

Package build failed. Here’s the log:
dh_testdir
dh_testdir
dh_testroot
dh_clean -k -d
dh_installdirs
dh_installdocs
dh_installchangelogs
find . -maxdepth 1 -mindepth 1 -not -name debian -print0 |
xargs -0 -r -i cp -a {} debian/mokey
dh_compress
dh_makeshlibs
dh_installdeb
dh_shlibdeps
dpkg-shlibdeps: failure: couldn’t find library libtiff.so.3 needed by debian/mokey/usr/local/ISL/MokeyV4/bin/libMagick.so.10 (its RPATH is ‘’).
Note: libraries are not searched in other binary packages that do not have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set LD_LIBRARY_PATH.
dh_shlibdeps: command returned error code 512
make: [binary-arch] Error 1 (ignored)
dh_gencontrol
dpkg-gencontrol: error: current host architecture ‘amd64’ does not appear in package’s architecture list (i386)
dh_gencontrol: command returned error code 65280
make: *** [binary-arch] Error 1

Thanks

—Quote (Originally by magicmike)—
I am attempting to install mokey & monet on Ubuntu
could you share some steps on how to install the rpm on a debian system?

I have tried alien and get the following message
—End Quote—
You have two problems:

  1. The Mokey binary requires libtiff.so.3, which you don’t have installed. Depending on your distribution, you may be able to resolve this by looking in your package repositories for a package with a name like “libtiff3”, “libtiff-compat-3” or similar. If there is nothing suitable, it may be necessary to compile libtiff3 from source.

  2. The Mokey package is i386, and your system is AMD64. Although there should be no problem running an i386 package on an AMD64 system, the package manager doesn’t realise this and refuses to compile the package. You should be able to get round this by doing the following:

Code:

$ alien -g mokey-4.1.4-1.i386.rpm
$ cd mokey-4.1.4
…edit debian/control with editor of your choice …
…replace the line “Architecture: i386” with “Architecture: amd64” …
…save the file…
$ fakeroot debian/rules binary
… the new package will be built in the parent directory …